flthr.cpp File Reference

Implementation of the flext thread functionality. More...

`#include "flext.h"`
`#include "flinternal.h"`
`#include "flcontainers.h"`
`#include <set>`
`#include <ctime>`
`#include <cerrno>`
`#include "flpushns.h"`
`#include "flpopns.h"`

## Classes

class | thr_entry
| This represents an entry to the list of active method threads. More...
class | ThrFinder< T >
struct | ThrRegistry
class | ThrId
struct | ThrVars

## Macros

#define | __FLEXT_THR_CPP
#define | MAXIMUMWAIT 100

## Functions

void | LaunchHelper (thr_entry *e)
bool | waitforstopped (TypedLifo< thr_entry > &qufnd, float wait=0)

## Detailed Description

Implementation of the flext thread functionality.

## Macro Definition Documentation

## __FLEXT_THR_CPP

#define __FLEXT_THR_CPP

## MAXIMUMWAIT

#define MAXIMUMWAIT 100

## Function Documentation

## LaunchHelper()

void LaunchHelper | ( | thr_entry * | e | ) |

## waitforstopped()

bool waitforstopped | ( | TypedLifo< thr_entry > & | qufnd,
|  | float | wait = 0 )